ホームページ制作、ネットショップ開業・運用、SNS運用など、インターネットに関する事業支援を致します

[WordPress] クラシックエディターで「このサイトを離れますか?」と表示される問題

更新日
2022年7月19日
作成日
2021年2月23日
症状が出たバージョン:WordPress 5.6.1

ある日突然、WordPressのクラシックエディター(Gutenbergではない)を編集画面を開き、特に編集もしていない状態でページを移動しようとすると

「このサイトを離れますか?行った変更が保存されない可能性があります。」

というアラートが毎回表示されるようになりました。
(以下、参考スクショ)

解決の方法

今回、症状が出たバージョンがWordPressの5.6.1だったのですが、5.6.2へアップデートすることでこの現象が改善されました。

お使いのテーマやプラグインによっても異なるとは思いますが、WordPress 5.6.1でクラシックエディターを使っている方はアップデートすることで解決する可能性があります。

※アップデート作業を行う場合は必ずバックアップすることをお勧めします。

症状が発生する原因は?

今回、色々と情報を調べていたのですが、思い当たる情報に行き着かず…色々と試してみた事や症状として怪しいと思う事を記載致します。

  • カスタム投稿タイプを導入していて、register_post_typeのsupportsのeditorを入力していない(クラシックエディターとして使っている場合)
  • テキストエリアをwp_editorにてwygwig(ウィジウィグ化)している

今回、クラシックエディターを使っている場合に起こる事ですので、テーマやプラグインがカスタム投稿タイプを使っていたり、クラシックエディタープラグインを使っている場合に発生しました。Gutenbergに戻すとアラートは表示されませんでした。

また、テキストエリア(textarea)をwp_editorにてwygwig(ウィジウィグ化)対応している場合に発生しました。textareaをそのまま通常のtextareaとして使っている場合にはアラートは表示されませんでした。

  • なんでも相談

    ICTよろず相談所は、ホームページ制作、ネットショップ開業・運用、ブログ運用、SNS運用などインターネットに関する事業支援を行なっております。

    どんな些細な疑問や質問でも気軽にお問い合せ下さい。